Opened 4 years ago

Closed 3 years ago

#1590 closed defect (no response)

atal Error] :3:25: The element type "NewExternalIPAddress" must be terminated by the matching end-tag "</NewExternalIPAddress>".

Reported by: echelon Owned by: zzz
Priority: minor Milestone: undecided
Component: router/transport Version: 0.9.19
Keywords: UPnP Cc:
Parent Tickets:

Description

Hi

Just saw it:

2015/05/28 19:20:27 | 2015-05-28 17:20:27.593:INFO:oejs.Server:jetty-8.1.17.v20150415
2015/05/28 21:27:25 | [Fatal Error] :2:361: An invalid XML character (Unicode: 0x1) was found in the element content of the document.
2015/05/28 21:27:25 | [Fatal Error] :3:25: The element type "NewExternalIPAddress" must be terminated by the matching end-tag "</NewExternalIPAddress>".
2015/05/28 21:27:30 | [Fatal Error] :3:25: The element type "NewExternalIPAddress" must be terminated by the matching end-tag "</NewExternalIPAddress>".
2015/05/28 21:27:30 | [Fatal Error] :3:25: The element type "NewExternalIPAddress" must be terminated by the matching end-tag "</NewExternalIPAddress>".
2015/05/28 21:27:35 | [Fatal Error] :3:25: The element type "NewExternalIPAddress" must be terminated by the matching end-tag "</NewExternalIPAddress>".
2015/05/28 21:27:36 | [Fatal Error] :3:25: The element type "NewExternalIPAddress" must be terminated by the matching end-tag "</NewExternalIPAddress>".
2015/05/28 21:27:40 | [Fatal Error] :3:25: The element type "NewExternalIPAddress" must be terminated by the matching end-tag "</NewExternalIPAddress>".
2015/05/28 21:27:41 | [Fatal Error] :3:25: The element type "NewExternalIPAddress" must be terminated by the matching end-tag "</NewExternalIPAddress>".
2015/05/28 21:27:46 | [Fatal Error] :3:25: The element type "NewExternalIPAddress" must be terminated by the matching end-tag "</NewExternalIPAddress>".
2015/05/28 21:27:46 | [Fatal Error] :3:25: The element type "NewExternalIPAddress" must be terminated by the matching end-tag "</NewExternalIPAddress>".
2015/05/29 12:38:26 | [Fatal Error] :2:361: An invalid XML character (Unicode: 0x1) was found in the element content of the document.
2015/05/29 12:38:32 | [Fatal Error] :2:361: An invalid XML character (Unicode: 0x1) was found in the element content of the document.
2015/05/29 12:38:37 | [Fatal Error] :2:361: An invalid XML character (Unicode: 0x1) was found in the element content of the document.
2015/05/29 12:38:47 | [Fatal Error] :2:361: An invalid XML character (Unicode: 0x1) was found in the element content of the document.
2015/05/29 12:58:06 | [Fatal Error] :2:361: An invalid XML character (Unicode: 0x1) was found in the element content of the document.
2015/05/29 12:58:11 | [Fatal Error] :2:361: An invalid XML character (Unicode: 0x1) was found in the element content of the document.
2015/05/29 12:58:16 | [Fatal Error] :2:361: An invalid XML character (Unicode: 0x1) was found in the element content of the document.
2015/05/29 12:58:22 | [Fatal Error] :2:361: An invalid XML character (Unicode: 0x1) was found in the element content of the document.
2015/05/29 12:58:27 | [Fatal Error] :2:361: An invalid XML character (Unicode: 0x1) was found in the element content of the document.
2015/05/29 18:29:05 | [Fatal Error] :3:25: The element type "NewExternalIPAddress" must be terminated by the matching end-tag "</NewExternalIPAddress>".
2015/05/29 18:29:16 | [Fatal Error] :2:361: An invalid XML character (Unicode: 0x1) was found in the element content of the document.
2015/05/29 18:29:21 | [Fatal Error] :2:361: An invalid XML character (Unicode: 0x1) was found in the element content of the document.
2015/05/29 18:29:26 | [Fatal Error] :2:361: An invalid XML character (Unicode: 0x1) was found in the element content of the document.
2015/05/29 18:29:32 | [Fatal Error] :2:361: An invalid XML character (Unicode: 0x1) was found in the element content of the document.
2015/05/29 18:29:37 | [Fatal Error] :2:361: An invalid XML character (Unicode: 0x1) was found in the element content of the document.
2015/05/29 19:03:59 | [Fatal Error] :4:16: Element type "NewEx?" must be followed by either attribute specifications, ">" or "/>".
2015/05/29 19:04:35 | [Fatal Error] :2:364: The element type "errorDescription" must be terminated by the matching end-tag "</errorDescription>".

Subtickets

Change History (4)

comment:1 Changed 4 years ago by zzz

  • Component changed from unspecified to router/transport
  • Keywords UPnP added
  • Milestone changed from 0.9.20 to undecided
  • Owner set to zzz

it's either malformed XML, or we have a charset issue

comment:2 Changed 4 years ago by zzz

To stop the errors, disable UPnP (won't take effect until restart).

Or, to help debug, set log level org.cybergarage.util.Debug=DEBUG (won't take effect until restart). This will spit out the raw XML in the logs.

comment:3 Changed 4 years ago by zzz

  • Status changed from new to infoneeded_new

comment:4 Changed 3 years ago by zzz

  • Resolution set to no response
  • Status changed from infoneeded_new to closed
Note: See TracTickets for help on using tickets.